Use this file to discover all available pages before exploring further.
NOTIFY_INVALID_ADDRESS (type=5)When a withdrawal operation fails due to an invalid address or other reasons, WaaS notifies the merchant through this callback: This withdrawal operation has been completely terminated, and user funds can be safely unfrozen
Merchant must ensure the uniqueness of this callBackId. WaaS will actively callback the merchant carrying this parameter to notify which withdrawal order has failed.
After processing the callback, merchants need to return a JSON-formatted response body. The data field must return an RSA-encrypted Base64 string (encrypted using the public key provided by WaaS), while other fields are in plain text:
Encrypted business data, e.g.: BDn6Liv5Z4TJ9vjfd (refer to example on right)
Generated by encrypting the following raw business parameters:tenantUserId (String) : User ID initiating withdrawal (in merchant system, not WaaS system)callBackId : Merchant must return callBackId to help WaaS with secondary confirmationtrackingId (String) : Business event identifiertype (String) : Callback typerequestUUID (String) : Unique request identifier, merchant must return the same requestUUID in response to help WaaS confirm